Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » IMP » IMP (with LPG) on OS X
IMP (with LPG) on OS X [message #566724] Fri, 28 September 2007 11:16
Sven Efftinge is currently offline Sven Efftinge
Messages: 1769
Registered: July 2009
Senior Member
Hi,

we at openArchitectureWare (and M2T, MWE as well) are very interested in
(and excited about :-)) IMP. We work on frameworks for DSLs as well as
on languages for model2model transformation, code generation and
validation. So the abstractions provided by IMP might be very useful here.

I'm currently trying the release from sourceforge under OS X 10.4.
Unfortunately the LPG builder doesn't work (NPE in
org.eclipse.imp.lpg.builder.LPGBuilder.isSourceFile(LPGBuild er.java:96))
In addition I'm not able to open the preferences for LPG
(IllegalArgumentException "Unable to find LPG executable at
lpgexe/lpg-macosx_x86 in bundle lpg.runtime").

Did I miss something or is it a bug?
Or is it that OS X is not supported?

Thanks,
Sven


--
Need professional support on Xtext or Xtend?
Mail to: xtext (at) itemis.com
Twitter : @svenefftinge
Blog : blog.efftinge.de
Previous Topic:JavaScript and IMP
Next Topic:Error Recovery in LPG
Goto Forum:
  


Current Time: Thu Oct 23 20:14:02 GMT 2014

Powered by FUDForum. Page generated in 0.01594 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software